com.sun.grid.jsv

## Class BindingSpecifier.CoreSpecifier

- java.lang.Object
- - com.sun.grid.jsv.BindingSpecifier.CoreSpecifier

- Enclosing class:
    BindingSpecifier

      public final class BindingSpecifier.CoreSpecifier
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `core`
    `int` | `socket`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CoreSpecifier()`
    `CoreSpecifier(int socket, int core)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socket

          public int socket

    - #### core

          public int core

  - ### Constructor Detail

    - #### CoreSpecifier

          public CoreSpecifier(int socket,
                               int core)

    - #### CoreSpecifier

          public CoreSpecifier()

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`